read.probematrix {affy} | R Documentation

## Read CEL file data into PM or MM matrices

### Description

Read CEL data into matrices.

### Usage

    read.probematrix(..., filenames = character(0),
                   phenoData = new("phenoData"),
                   description = NULL,
                   notes = "",
                   compress = getOption("BioC")$affy$compress.cel,
                   rm.mask = FALSE, rm.outliers = FALSE, rm.extra = FALSE,
                   verbose = FALSE,which="pm")

### Arguments

`...` | file names separated by comma.
`filenames` | file names in a character vector.
`phenoData` | a `phenoData` object
`description` | a `MIAME` object
`notes` | notes
`compress` | are the CEL files compressed ?
`rm.mask` | should the spots marked as 'MASKS' set to `NA` ?
`rm.outliers` | should the spots marked as 'OUTLIERS' set to `NA`
`rm.extra` | if `TRUE`, overrides what is in `rm.mask` and `rm.oultiers`
`verbose` | verbosity flag
`which` | should be either "pm", "mm" or "both"

### Details

### Value

A list of one or two matrices. Each matrix is either PM or MM data. No `AffyBatch` is created.

### Author(s)

Ben Bolstad bolstad@stat.berkeley.edu

### See Also

`AffyBatch`, `read.affybatch`

### Examples

[Package affy version 1.6.7 Index]